Bug 1473321 - User unable to tick the check boxes of the folder while assigning the Alert profile
User unable to tick the check boxes of the folder while assigning the Alert p...
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
All Linux
high Severity medium
: GA
: 5.9.0
Assigned To: Aparna Karve
Dmitry Misharov
alert
: TestOnly, ZStream
Depends On:
Blocks: 1478368 1479944
  Show dependency treegraph
 
Reported: 2017-07-20 09:24 EDT by Niladri Roy
Modified: 2017-08-09 15:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1478368 1479944 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Niladri Roy 2017-07-20 09:24:31 EDT
Description of problem:
Issue while assigning alert profiles to selected folder. User unable to tick the check boxes of the folder

Version-Release number of selected component (if applicable): 
5.7.0.17

How reproducible: 
Always

Steps to Reproduce:
1. Create folder to group vm and templates in vSphere client (if not already present) in the VMware provider
2. Login to cloudforms, go to control --> explorer --> Alert profiles
3. Create a new alert profile under VM and Instance Alert Profiles
4. Select the newly created alert profile. Go to configuration --> edit assignments for this alert profile
5. In the "Assign to" drop down select "Selected Folders"
6. Expand the "Selections" section till you see the folders ( VMware --> Datacenter --> <Folders>)
7. Try to select the checkbox beside the folders, user is unable to select

Actual results: User unable to check the tick boxes beside the folders


Expected results: User should be able to select and deselect the checkbox beside folders


Additional info: this works ok in cloudforms 5.6 , also tested the same in 5.8.0.17 - when we select the selected folders option, the folders doesn't show up
Comment 5 CFME Bot 2017-08-02 14:43:44 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8693068ec3ef7b7255e45fc796bdea6168c4f4ac

commit 8693068ec3ef7b7255e45fc796bdea6168c4f4ac
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Jul 25 07:26:06 2017 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Jul 27 09:00:19 2017 -0700

    Pass :assign_to to set the `checkable_checkboxes` properties
    
    Also other checkbox related properties for Alert Profile
    Assignment will be set.
    This fixes Alert Profile assignment for ems_folders
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1473321

 .../miq_policy_controller/alert_profiles.rb            |  7 +++----
 app/presenters/tree_builder_belongs_to_hac.rb          | 18 ++++++++++++++----
 2 files changed, 17 insertions(+), 8 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.